package areaidentification;

/**
 *
 * @author Ilias Foudalis
 */

public class Node {
    
    short nodeID;
    float strength,score;
    
    public Node()
    {}
    
    public Node(short nodeID)
    {
        this.nodeID = nodeID;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 19 * hash + this.nodeID;
        return hash;
    }
    
    @Override
    public boolean equals(Object o)
    {
        Node n = (Node)o;
        if(!(n instanceof Node))
            return false;
        else if(n.nodeID == this.nodeID)
            return true;
        else
            return false;
    }
    
}
